;(function (document, $) {
    $(document).ready(function() {
        window.smartling.touchui.jobDialog.initializeForm('/services/smartling/job/workflows/asset');
    });
    var SMARTLING_JOB_DIALOG = "#smartling-job-dialog";
    var CORAL_ICON = SMARTLING_JOB_DIALOG + ' coral-icon[name="config-warn-element"]';
    var CORAL_ICON_TOOLTIP = SMARTLING_JOB_DIALOG + ' coral-tooltip[name="config-warn-element-tooltip"]'

    $(window).adaptTo("foundation-registry").register("foundation.collection.action.action", {
        name: "smartling.content.fragment.translate",
        handler: function(name, el, config, collection, selections) {
            var url = selections.map(function(item) { return $(item).data("foundation-collection-item-id"); }).join(';');
            window.smartling.touchui.jobDialog.openDialog(url);
            window.smartling.touchui.jobDialog.processValidationError = function() {
                $(CORAL_ICON).hover(function() {
                	var tooltip = $(CORAL_ICON_TOOLTIP);
                	tooltip.addClass('is-open');
                	tooltip.show();
                }, function() {
                	var tooltip = $(CORAL_ICON_TOOLTIP);
                	tooltip.removeClass('is-open');
                	tooltip.hide();
                });
            }
        }
    });

})(jQuery(document), Granite.$);