(function(document, XSS, $) {

    "use strict";
    var PROJECT_ID_CLASS_SELECTOR = '.smartling-touch-coral-project-id';
    var USER_IDENTIFIER_CLASS_SELECTOR = '.smartling-touch-coral-user-identifier';
    var USER_SECRET_CLASS_SELECTOR = '.smartling-touch-coral-user-secret';

    $(window).adaptTo("foundation-registry").register("foundation.validation.validator", {
      selector: PROJECT_ID_CLASS_SELECTOR,
      validate: function(e) {
          return $(PROJECT_ID_CLASS_SELECTOR).val() ? '' : Granite.I18n.get("Project Id is required");
      }
    });

    $(window).adaptTo("foundation-registry").register("foundation.validation.validator", {
        selector: USER_IDENTIFIER_CLASS_SELECTOR,
        validate: function(e) {
            return $(USER_IDENTIFIER_CLASS_SELECTOR).val() ? '' : Granite.I18n.get("User Identifier is required");
        }
    });

    $(window).adaptTo("foundation-registry").register("foundation.validation.validator", {
        selector: USER_SECRET_CLASS_SELECTOR,
        validate: function(e) {
            return $(USER_SECRET_CLASS_SELECTOR).val() ? '' : Granite.I18n.get("User secret is required");
        }
    });

})(document, _g.XSS, Granite.$);
