<%--
Copied and modified from /libs/granite/ui/components/coral/foundation/form/pathfield/suggestion/suggestion.jsp
--%>
<%--
  ADOBE CONFIDENTIAL
  ___________________

  Copyright 2016 Adobe
  All Rights Reserved.

  NOTICE: All information contained herein is, and remains
  the property of Adobe and its suppliers, if any. The intellectual
  and technical concepts contained herein are proprietary to Adobe
  and its suppliers and are protected by all applicable intellectual
  property laws, including trade secret and copyright laws.
  Dissemination of this information or reproduction of this material
  is strictly forbidden unless prior written permission is obtained
  from Adobe.
--%><%
%><%@ include file="/libs/granite/ui/global.jsp" %><%
%><%@ page session="false"
          import="java.util.Collections,
                  java.util.Comparator,
                  java.util.Iterator,
                  java.util.List,
                  java.util.regex.Matcher,
                  java.util.regex.Pattern,
                  org.apache.jackrabbit.util.Text,
                  com.adobe.granite.ui.components.AttrBuilder,
                  com.adobe.granite.ui.components.Config,
                  com.adobe.granite.ui.components.ExpressionHelper,
                  com.adobe.granite.ui.components.PagingIterator" %><%

final ExpressionHelper ex = cmp.getExpressionHelper();
final Config cfg = cmp.getConfig();

final String query = ex.getString(cfg.get("query", String.class));

final String searchName = Text.getName(query);

final Pattern searchNamePattern = Pattern.compile(Pattern.quote(searchName), Pattern.CASE_INSENSITIVE);

%><coral-buttonlist><%
    boolean matched = false;
    for (Iterator<Resource> it = cmp.getItemDataSource().iterator(); it.hasNext();) {
        Resource r = it.next();
        //String path = r.getPath();
        String val = r.getValueMap().get("value", String.class);
        String text = r.getValueMap().get("text", String.class);

        AttrBuilder attrs = new AttrBuilder(request, xssAPI);
        attrs.add("type", "button");
        attrs.add("is", "coral-buttonlist-item");
        attrs.add("value", val);
        attrs.add("role", "option");

        if (searchNamePattern.matcher(text).lookingAt() || searchNamePattern.matcher(val).lookingAt()) {
            if (!matched){
                %><button type="button" is="coral-buttonlist-item" value="select-all" role="option">Select All</button><%
            }
        	%><button <%= attrs %>><%= mark(text, searchNamePattern, xssAPI) %></button><%
            matched = true;
        }
    }
%></coral-buttonlist><%!

private String mark(String text, Pattern regex, XSSAPI xssAPI) {
    StringBuilder sb = new StringBuilder();

    Matcher m = regex.matcher(text);

    if (m.lookingAt()) {
        sb.append(xssAPI.encodeForHTML(text.substring(0, m.start())));

        if (m.group().length() > 0) {
            sb.append("<mark>" + xssAPI.encodeForHTML(m.group()) + "</mark>");
        }

        sb.append(xssAPI.encodeForHTML(text.substring(m.end())));
    } else {
        sb.append(xssAPI.encodeForHTML(text));
    }

    return sb.toString();
}
%>
